Vista und DirectX?



  • Ich hab mein Projekt auf XP und DX9.0c angefangen und nun einen neuen Rechner auf dem vista ist.
    Welches SDK muss ich nun installieren um weiter daran arbeiten zu können?
    Hab irgendwo gelesen das DX 10 nicht abwärtskompatibel ist?
    stimmt das?

    Danke(schon im voraus) muli



  • Es gibt nur ein aktuelles SDK, das erlaubt dir sowohl Direct3D 9 als auch Direct3D 10 zu verwenden. Um Direct3D 10 mit Hardwarebeschleunigung nutzen zu können, brauchst du Vista und eine GeForce 8 oder eine Radeon X2000 (gibt's noch nicht). Direct3D 9 kannst du unter Vista ganz normal nutzen, so dass die Programme auch unter XP laufen. Oder du kannst eine erweiterte Direct3D 9-Version verwenden, die mit "normalen" DX9-Grafikkarten funktioniert, aber nur unter Vista.
    Vermutlich willst du das ganz normale D3D 9 verwenden. Egal, das SDK, das du dazu brauchst, ist immer dasselbe.



  • das ist schön zu hören... ich bin noch kein mammut, ich sterbe noch nicht aus 🤡 ! Wenn all die DX9 programme auch unter vista laufen, dann ist meine welt in ordnung 🙂



  • Ich wusste doch das sich diese Buchinvestition eines Tages auszahlen würde 😉
    Danke muli 😃



  • Ich würde das so interpretieren, das Vista abwärtskompatibel ist.

    Also auch z.B. DirectX 7 Spiele laufen unter Windows Vista.(nehme ich an)
    Aber DirectX 10 Spiele werden nicht unter XP laufen.



  • Jupp DX10 = Vista.
    Und DX10 ist nicht mehr abwärtskompatibel.
    Und DX9 wird noch ne ganze weile, parallel weiter entwicklet.

    Alle älteren Spiele Laufen, Hab alle meine Spiele getestet, laufen
    wunderbar, einige brauchten ein update, aber das ist ja nich so schlimm.

    Probleme gibts nur mit managed directx zumindest bei Fullscreen
    Anwendungen, da musst ein wenig umschreiben.


Log in to reply